Subject: [Sip] INVITE, CANCEL and BYE, re-transitions

From: "Thomas Vasen" <[email-masked]>
Date: Wed, 5 Feb 2003 21:54:55 +0100

I would just like to verify my understanding regarding 'Backup Routes'
with SIP. 

Suppose one UA has 2 routes, one primary to PROXY1, and one secondary to
PROXY2. 

Suppose PROXY1 is down. 

When the UA sets up a session, it will

Send INVITE to Proxy 1

Timeout

Eventually send INVITE to Proxy 2, and setup the session. 

Suppose now Proxy 1 and 2 are UP. 

UA send INVITE to Proxy 1

Proxy sends trying and sets up session. 

Proxy 1 dies.

UA sends BYE to Proxy 1, though does not receive any response. 

Shouldn't at this point the UA try to send the BYE to the Proxy 2 as
well?

E.g. I think that each INVITE, BYE and CANCEL transaction shall be
treated separately from a routing perspective.

Am I thinking right?

Regards, 

//Thomas. 

Thomas Vasen

B2 Bredband AB

E-mail:  <mailto:[email-masked]> [email-masked]

---

From: "Brett Tate" <[email-masked]>
Date: Wed, 5 Feb 2003 17:52:57 -0500

"This list is for NEW development of the core SIP Protocol.
Use [email-masked] for questions on current sip.
Use [email-masked] for new developments on the application of sip."

> I would just like to verify my understanding
> regarding ‘Backup Routes’ with SIP.
>
> Suppose one UA has 2 routes, one primary to
> PROXY1, and one secondary to PROXY2.
>
> Suppose PROXY1 is down.

When advancing to proxy 2, one or more of the
following should change within INVITE to
denote forking:
1) From tag
2) Call-ID
3) Via branch

> UA sends BYE to Proxy 1, though does not receive any response.

The 100 Trying response does not create an early
dialog.  Thus CANCEL must be sent instead of a BYE.

> Shouldn’t at this point the UA try to send the
> BYE to the Proxy 2 as well?

The CANCEL should only be sent where the INVITE
was sent.  (This is mainly because the top via entry
is used to help identify the cancelled request.)

If a 101-2xx response was received and the
proxy's Record-Route entry included a hostname
representing both proxies, the BYE could
target advance to proxy 2 when proxy 1 is not
responding.

Please see RFC 3261 sections 9, 12, and 13 for
a more complete description.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip